# Created by pyp2rpm-3.0.2
%global pypi_name flask-ripozo
%global sum An extension for ripozo that brings HATEOAS/REST/Hypermedia APIs to Flask

Name:           python-%{pypi_name}
Version:        1.0.4
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            http://flask-ripozo.readthedocs.io/
Source0:        https://github.com/vertical-knowledge/%{pypi_name}/archive/%{version}.tar.gz
# https://github.com/vertical-knowledge/flask-ripozo/pull/7
Patch0:         %{name}-exclude-packages.patch
BuildArch:      noarch

BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-tox
BuildRequires:  python3-unittest2
BuildRequires:  python3-devel
BuildRequires:  python3-ripozo
BuildRequires:  python3-flask

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-theme-alabaster
 
BuildRequires:  python-mock
BuildRequires:  python2-setuptools
BuildRequires:  python-six
BuildRequires:  python-tox
BuildRequires:  python-unittest2
BuildRequires:  python2-devel
BuildRequires:  python2-ripozo
BuildRequires:  python-flask


%description
This package provides a dispatcher for ripozo so that you can integrate ripozo
with Flask. As with all dispatchers it is simply for getting the request
arguments and appropriately routing them to the various resources for handling.


%package -n     python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-ripozo
Requires:       python3-flask
%description -n python3-%{pypi_name}
This package provides a dispatcher for ripozo so that you can integrate ripozo
with Flask. As with all dispatchers it is simply for getting the request
arguments and appropriately routing them to the various resources for handling.


%package -n     python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-ripozo
Requires:       python-flask
%description -n python2-%{pypi_name}
This package provides a dispatcher for ripozo so that you can integrate ripozo
with Flask. As with all dispatchers it is simply for getting the request
arguments and appropriately routing them to the various resources for handling.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# The docs want flask-ripozo to be installed
sed -Ei -e 's/^version = .*/version = '"'"'%{version}'"'"'/' docs/source/conf.py

%build
%py3_build
%py2_build

export PYTHONPATH=$(pwd)  # the docs import flask_ripozo
cd docs/
make SPHINXBUILD=sphinx-build-3 html
rm build/html/.buildinfo
cd ..


%install
%py3_install
%py2_install


%check
%{__python3} setup.py test
%{__python2} setup.py test

%files -n python3-%{pypi_name} 
%doc README.rst CHANGELOG.rst
%doc docs/build/html
%license LICENSE.txt
%{python3_sitelib}/flask_ripozo
%{python3_sitelib}/flask_ripozo-%{version}-py%{python3_version}.egg-info

%files -n python2-%{pypi_name} 
%doc README.rst CHANGELOG.rst
%doc docs/build/html
%license LICENSE.txt
%{python2_sitelib}/flask_ripozo
%{python2_sitelib}/flask_ripozo-%{version}-py%{python2_version}.egg-info

%changelog
* Fri May 13 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-1
- Initial package.